;;; init-company.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;; Company es un famework de Emacs para el completado de texto.

;;; code:
(use-package company
  :defer 5
  :diminish
  :bind
  (:map company-mode-map
        ("<backtab>" . company-complete))
  :config
  ;; Global
  (setq company-idle-delay 1
        company-minimum-prefix-length 1
        company-show-numbers nil
        company-tooltip-limit 20)

  ;; Facing
  (unless (face-attribute 'company-tooltip :background)
    (set-face-attribute 'company-tooltip nil :background "black" :foreground "gray40")
    (set-face-attribute 'company-tooltip-selection nil :inherit 'company-tooltip :background "gray15")
    (set-face-attribute 'company-preview nil :background "black")
    (set-face-attribute 'company-preview-common nil :inherit 'company-preview :foreground "gray40")
    (set-face-attribute 'company-scrollbar-bg nil :inherit 'company-tooltip :background "gray20")
    (set-face-attribute 'company-scrollbar-fg nil :background "gray40"))

  ;; Activating globally
  (global-company-mode t))

(use-package company-quickhelp
  :ensure t
  :after company
  :config
  (company-quickhelp-mode 1))

(provide 'init-company)
;; Local Variables:
;; byte-compile-warnings: (not free-vars)
;; End:
;;; init-company.el ends here
