;;; init-dashboard.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
(use-package dashboard
  :pin "MELPA"
  :ensure t
  :config
  ;; Dashboard configuration
  (dashboard-setup-startup-hook)
  (setq dashboard-banner-logo-title "Emacs personal")
  (setq dashboard-startup-banner 'logo)
  (setq dashboard-center-content t)
  (setq dashboard-show-shortcuts t)
  (setq dashboard-set-heading-icons t)
  (setq dashboard-set-file-icons t)
  (setq dashboard-set-footer nil)

  ;; Configuration of dashboard sections
  (setq num-recents 5)
  (setq num-bookmarks 5)
  (setq num-projects 5)
  (setq num-agenda 5)
  (setq num-registers 5)

  ;; Note:
  ;; grave accent (`) is used to access Emacs commands known like "execute commands".
  ;; syntax ,variable is used in context of backquote (`) macro to evaluate
  ;; the variable and replace it with its value time of evaluation.
  ;; This is known as "unquote" and is useful for constructing complex forms or lists.
  (setq dashboard-items `((recents  . ,num-recents)
                          (bookmarks . ,num-bookmarks)
                          (projects . ,num-projects)
                          (agenda . ,num-agenda)
                          (registers . ,num-registers))))

(provide 'init-dashboard)
;;; init-dashboard.el ends here
