;;; init-indent-guides.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:

;; This minor mode highlights indentation levels via font-lock

(use-package highlight-indent-guides
  :ensure t
  :config
  (setq highlight-indent-guides-method 'character)
  (setq highlight-indent-guides-responsive 'top)
  (setq highlight-indent-guides-delay 0.3)
  (setq highlight-indent-guides-character ?\|)
  (setq highlight-indent-guides-auto-odd-face-perc 15)
  (setq highlight-indent-guides-auto-even-face-perc 20)
  (setq highlight-indent-guides-auto-character-face-perc 30)
  (set-face-attribute 'highlight-indent-guides-character-face nil
                      :background "rgba(136, 136, 136, 0.1)"))

(defun general-toggle-highlight-indent-guides ()
  (interactive)
  (if (bound-and-true-p highlight-indent-guides-mode)
      (highlight-indent-guides-mode -1)
    (highlight-indent-guides-mode 1)))

(global-set-key (kbd "<f7>") 'general-toggle-highlight-indent-guides)

(provide 'init-indent-guides)

;; End:
;;; init-indent-guides.el ends here
