;;; init-linter.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
;;---------------------------
;; Lsp Mode
;;---------------------------
(use-package lsp-treemacs
  :config
  (lsp-treemacs-sync-mode 1))
(use-package lsp-ui)
(use-package lsp-mode
  :pin "MELPA"
  :hook ((lsp-mode . lsp-enable-which-key-integration))
  :custom
  (lsp-clients-angular-language-server-command
   '("node"
     (getenv "ANGULAR_SERVER_DIR")
     "--ngProbeLocations"
     (getenv "NODEJS_MODULE_DIR")
     "--tsProbeLocations"
     (getenv "NODEJS_MODULE_DIR")
     "--stdio"))
  (lsp-diagnostics-provider :none)
  :commands (lsp lsp-deferred))
;; require install language server for Angular
;; npm install -g @angular/language-service@next typescript @angular/language-server
;; require install eslint for ReactJS
;; npm install -g eslint
(use-package dap-mode)

(provide 'init-linter)

;; End:
;;; init-linter.el ends here
