;;; init-vscode-theme.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:

(use-package vscode-dark-plus-theme
  :pin "MELPA"
  :ensure t
  :config
  (load-theme 'vscode-dark-plus t)

  (defun current-dark-color ()
    "Simple current-dark-color for theme."
    (set-cursor-color "#2979FF")
    (set-background-color "#1C1E1F")

    ;; highlight
    (set-face-foreground 'highlight "#F4F4F4")
    (set-face-background 'highlight "#004575")

    ;; Modeline
    (set-face-foreground 'mode-line "#FFFFFF")
    (set-face-foreground 'mode-line-inactive "#f4f4f4")
    (set-face-foreground 'mode-line-highlight "#f4f4f4")

    (set-face-background 'mode-line "#6a157e")
    (set-face-background 'mode-line-inactive "#7B1FA2")

    (set-face-background 'fringe nil)

    ;; Define a face for the current line number
    (defface my-line-number-current-line
      '((t :background "#007ACC" :foreground "#FFFFFF"))
      "Face for the currently active line number"
      :group 'display-line-numbers)

    ;; Set the face for the current line number
    (set-face-attribute 'line-number-current-line nil
                        :background "#007ACC"
                        :foreground "#FFFFFF")
    )

  ;; Invoke color
  (current-dark-color))

(provide 'init-vscode-theme)

;; End:
;;; init-vscode-theme.el ends here
